View Issue Details

IDProjectCategoryView StatusLast Update
0005158Talermechant backendpublic2018-04-15 20:36
ReporterChristian GrothoffAssigned ToFlorian Dold 
PriorityhighSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005158: error handling for /pay not comprehensive
DescriptionSpecifically, what happens if we store in merchant_transactions some timestamp/exchange and then the deposits (partially) fail?

Do we undo the deposits? (auto-refund? how do we tell the wallet?)

Do we allow a 2nd round of /pay? (likely case if wallet was restored from backup causing double-spending; what does the wallet do?)

What happens if the exchange differs the 2nd time? (maybe the wallet has another exchange we _also_ accept this time?)
TagsNo tags attached.

Relationships

related to 0005206 closedFlorian Dold wallet / merchant should negotiate refunds on partially failed payments 

Activities

Christian Grothoff

2017-12-28 17:26

manager   ~0012707

Implementation and API spec is in principle now done, but testcase is missing.

Christian Grothoff

2018-01-04 12:00

manager   ~0012723

Tested as of 6b2297c..cc367e6 in merchant. So what is left is for the wallet to support this.

Florian Dold

2018-01-30 00:57

manager   ~0012829

Implemented in the wallet in 1a66e232a55df

Issue History

Date Modified Username Field Change
2017-10-23 10:30 Christian Grothoff New Issue
2017-10-23 10:30 Christian Grothoff Status new => assigned
2017-10-23 10:30 Christian Grothoff Assigned To => Christian Grothoff
2017-11-04 18:05 Christian Grothoff Target Version 0.7 => 0.6
2017-11-04 18:56 Christian Grothoff Priority normal => high
2017-12-14 15:48 Christian Grothoff Relationship added related to 0005206
2017-12-28 17:26 Christian Grothoff Note Added: 0012707
2018-01-04 12:00 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2018-01-04 12:00 Christian Grothoff Note Added: 0012723
2018-01-15 21:13 Christian Grothoff Target Version 0.6 => 0.5
2018-01-30 00:57 Florian Dold Status assigned => resolved
2018-01-30 00:57 Florian Dold Resolution open => fixed
2018-01-30 00:57 Florian Dold Note Added: 0012829
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed